:root {
    --color: #111111;
    --background: #F9F5E9;
    --yellow: #FFD800;
    --orange: #FFA503;
    --red: #FF6447;
    --blue: #6495EE;
    --green: #98FC98;


    --body-copy: 2rem;
    --heading-copy: calc(var(--body-copy) * 3);

    --gutter: 2rem;
    --vertical: 4rem;

    --s: 12rem;
}


body {
    font-family: "chivo-mono", monospace;
    font-weight: 400;
    color: var(--color);
    background-color: var(--background);
    font-size: 20px;
    min-block-size: 100vh;
    display: grid;
    align-items: center;
    overflow-x: hidden;
}

@media (width > 768px) {
    body {
        --s: 18.75rem;
        font-size: 20px;
    }
}


hgroup,
.about {
    padding: 4rem 3rem 0;
    max-width: 50rem;
}

@media (width > 768px) {

    hgroup,
    .about {
        padding: 8rem 0 0 4rem;
        max-width: 52rem;
    }
}


h1,
h2 {
    font-size: 23px;
    text-align: left;
    font-family: "chivo-mono";
    font-weight: 600;
    line-height: 2.8rem;
    background-color: #D9D9D9;
    display: inline;
    padding: 0.01em 0.2em;


}

@media (width > 768px) {

    h1,
    h2 {
        font-size: 25px;
        font-family: "chivo-mono";
        font-weight: 700;
        inline-size: 50rem;
    }
}


.intro,
.description {
    text-align: left;
    font-size: 1rem;
    padding-top: 1.5rem;
    max-width: 22rem;
}


@media (width > 768px) {

    .intro,
    .description {
        font-size: 1.2rem;
        max-inline-size: 50ch;
    }
}


ul {
    padding-top: 5rem;
    padding-inline: 0;
    margin: 2rem;
    display: grid;
    grid-template-columns: 1fr;
    gap: 5rem;
    justify-content: center;
    align-items: stretch;
    color: var(--color);
    padding-bottom: 3rem;
}

@media (width > 768px) {
    ul {
        grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr));
        gap: var(--vertical);
        padding: 2.8rem;
        padding-top: 8rem;
        padding-bottom: 6rem;
    }
}

li {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    border: 0;
    padding: 0;
    font-size: 0.9375rem;
}

li a {
    display: block;

    min-height: 5rem;
    color: inherit;
    text-decoration: none;
    border: 1px solid var(--color);
    /* border-top: 12px solid var(--project-color); */
    border-radius: 0.2125rem;
    padding: 1rem;
    width: 15rem;

}

@media (width > 768px) {
    li a {
        width: 15rem;
    }

}

@media (width > 768px) {
    li {
        font-size: 1.5rem;
        padding: 1rem;
    }
}


.icon {
    fill: none;
    stroke: var(--color);
    display: block;
    margin: 0 auto 0.5rem;
    stroke-width: 1.5;
}

.about {
    padding-bottom: 6rem;
}

.about-links {
    padding-top: 2rem;
    font-size: 0.8rem;
    display: flex;
    gap: 2rem;
}


@media (width > 768px) {
    .about-links {
        font-size: 1rem;
    }
}


.manuscript {
    --project-color: var(--yellow);
}

.spread {
    --project-color: var(--orange);
}

.binding {
    --project-color: var(--red);
}

.links {
    --project-color: var(--blue);
}

.functions {
    --project-color: var(--green);
}



@media (width < 768px) {
    .project-info {

        display: flex;
        gap: 0.6rem;

        max-width: 16rem;
        margin-top: 1rem;

        font-size: 0.75rem;
        line-height: 1.35;
        text-align: left;

    }

    .project-info::before {
        content: "";
        width: 0.7rem;
        height: 0.7rem;
        margin-top: 0.25rem;
        border-radius: 50%;
        background: var(--project-color);
        flex-shrink: 0;
    }
}

/* https://chatgpt.com/share/69fe08fb-1140-83ea-9161-3642ccc43cde */
@media (width > 768px) {

    .project-info {
        display: none;
    }

    .project:hover .project-info {
        display: flex;
        gap: 0.6rem;
        margin-top: 1rem;
        width: 16rem;
        max-width: 18rem;
        font-size: 0.9rem;
        line-height: 1.35;
        text-align: left;
        margin-inline: auto;
        position: relative;
        left: -1.2rem;
    }

    .project:hover .project-info::before {
        content: "";
        width: 0.7rem;
        height: 0.7rem;
        margin-top: 0.25rem;
        border-radius: 50%;
        background: var(--project-color);
        flex-shrink: 0;
    }

}

.project a {
    position: relative;
    z-index: 1;

}

.project a::before {
    content: "";
    position: absolute;
    bottom: 100%;
    left: 0;

    width: 100%;
    height: 12px;

    background: var(--project-color);
    transition: height 0.3s ease;

    z-index: -1;
}

.project:hover a::before,
.project.is-open a::before {
    height: 36px;
}




footer {
    justify-self: stretch;
    background-color: var(--color);
    padding: 1.5rem;
    color: #FEFAF1;
    margin-top: auto;
    font-size: 0.8rem;
    text-align: center;
}

footer a {
    color: inherit;
    text-decoration: underline;
}

@media (width > 768px) {
    footer {
        font-size: 1rem;
    }
}